Loading...
Searching...
No Matches
Dune::cpgrid::IntersectionIterator Class Reference
Inheritance diagram for Dune::cpgrid::IntersectionIterator:

## Public Types

typedef cpgrid::Intersection | Intersection
Public Types inherited from Dune::cpgrid::Intersection
enum | { dimension = 3 }
enum | { dimensionworld = 3 }
enum | { mydimension = 2 }
typedef cpgrid::Entity< 0 > | Entity
typedef cpgrid::Geometry< 2, 3 > | Geometry
typedef cpgrid::Geometry< 2, 3 > | LocalGeometry
typedef double | ctype
typedef FieldVector< ctype, 2 > | LocalCoordinate
typedef FieldVector< ctype, 3 > | GlobalCoordinate

## Public Member Functions

| IntersectionIterator (const CpGridData &grid, const EntityRep< 0 > &cell, bool at_end)
IntersectionIterator & | operator++ ()
IntersectionIterator | operator++ (int)
const Intersection * | operator-> () const
const Intersection & | operator* () const
Public Member Functions inherited from Dune::cpgrid::Intersection
| Intersection ()
| Intersection (const CpGridData &grid, const EntityRep< 0 > &cell, int subindex, bool update_now=true)
bool | operator== (const Intersection &other) const
bool | operator!= (const Intersection &other) const
bool | boundary () const
int | boundaryId () const
| Returns the boundary id of this intersection.
int | boundarySegmentIndex () const
| Returns the boundary segment index of this intersection.
bool | neighbor () const
Entity | inside () const
Entity | outside () const
bool | conforming () const
const LocalGeometry & | geometryInInside () const
const LocalGeometry & | geometryInOutside () const
Geometry | geometry () const
GeometryType | type () const
int | indexInInside () const
| Local index of codim 1 entity in the inside() entity where intersection is contained in.
int | indexInOutside () const
| Local index of codim 1 entity in outside() entity where intersection is contained in.
FieldVector< ctype, 3 > | outerNormal (const FieldVector< ctype, 2 > &) const
FieldVector< ctype, 3 > | integrationOuterNormal (const FieldVector< ctype, 2 > &unused) const
FieldVector< ctype, 3 > | unitOuterNormal (const FieldVector< ctype, 2 > &) const
FieldVector< ctype, 3 > | centerUnitOuterNormal () const
int | id () const

## Additional Inherited Members

Protected Member Functions inherited from Dune::cpgrid::Intersection
void | increment ()
void | update ()
void | setAtEnd ()
bool | isAtEnd () const
int | nbcell () const
Protected Attributes inherited from Dune::cpgrid::Intersection
const CpGridData * | pgrid_
int | index_
int | subindex_
OrientedEntityTable< 0, 1 >::row_type | faces_of_cell_
int | nbcell_
bool | is_on_boundary_

The documentation for this class was generated from the following file:

- opm/grid/cpgrid/Intersection.hpp